package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiSnatPool;

public interface F5BiSnatPoolService {

    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiSnatPool>> list(Pager pager);

    /**
     * 添加
     * 
     * @param biSnatPool
     * @param userId
     * @return
     */
    public BocloudResult create(BiSnatPool biSnatPool, Long userId);

    /**
     * 修改
     * 
     * @param biSnatPool
     * @param userId
     * @return
     */
    public BocloudResult modify(BiSnatPool biSnatPool, Long userId);

    /**
     * 修改
     * 
     * @param id
     * @param userId
     * @return
     */
    public BocloudResult remove(Long id, Long userId);

    /**
     * 详细信息
     * 
     * @param id
     * @return
     */
    public BocloudResult<BiSnatPool> detail(Long id);
}
